
Redmine - Patch #3858

Force the 'admin' account to change the default password 

2009-09-13 03:35 - Ian Wilson

Status: Closed Start date: 2009-09-13

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Accounts / authentication Estimated time: 0.00 hour

Target version:    

Description

It's considered generally good security practice to change the default user to something other than 'admin.'  While I'm nowhere close

to being a RoR expert (in fact, I think I'm a RoR n00b), this patch forces the default username (admin) to set a password on first login

that isn't the password 'admin.'

I'd like someone to look at/review the patch, provide feedback, and, if the feedback is positive, consider inclusion into the

development version of Redmine.

Thanks;

Ian

Related issues:

Related to Redmine - Feature #22381: Require password reset on initial setup ... Closed

History

#1 - 2009-09-13 03:36 - Ian Wilson

I should clarify (after re-reading my initial description):  This doesn't force the user to change their username, this only forces the admin user to

change the password to something other than the word 'admin.'

#2 - 2009-09-13 13:11 - Jean-Philippe Lang

It seems that it redirects to the password change form but does not actually force to change the password.

#3 - 2009-09-13 21:19 - Ian Wilson

Ah, very true -- I didn't think about that.  I'll submit an updated diff later that should address this.

#4 - 2015-09-27 04:12 - Go MAEDA

+1 and attaching a new patch.

This can be implemented by adding a migration script, without changing any web application code.

#5 - 2015-09-27 04:13 - Go MAEDA

- File force_admin_password_change_20150927.diff added

#6 - 2016-01-15 16:27 - Go MAEDA

- Target version set to Candidate for next major release

#7 - 2016-04-04 11:31 - Go MAEDA

- Related to Feature #22381: Require password reset on initial setup for default admin account added

#8 - 2016-04-11 21:10 - Jean-Philippe Lang

- Status changed from New to Closed

- Target version deleted (Candidate for next major release)

Patch provided in #22381 committed.

Files

force_admin_password_change.diff 3.32 KB 2009-09-13 Ian Wilson
force_admin_password_change_20150927.diff 565 Bytes 2015-09-27 Go MAEDA
